com.io7m.r2.core

## Class R2DepthVarianceBufferDescription

- java.lang.Object
- - com.io7m.r2.core.R2DepthVarianceBufferDescription

- All Implemented Interfaces:
    R2DepthVarianceBufferDescriptionType, R2RenderTargetDescriptionType

      @Generated(value={"Immutables.generator","R2DepthVarianceBufferDescriptionType"})
      public final class R2DepthVarianceBufferDescription
      extends Object
      implements R2DepthVarianceBufferDescriptionType

  The type of depth variance buffer descriptions.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `R2DepthVarianceBufferDescription.Builder` Builds instances of type `R2DepthVarianceBufferDescription`.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.io7m.jareas.core.AreaInclusiveUnsignedLType` | `area()`
    `static R2DepthVarianceBufferDescription.Builder` | `builder()` Creates a builder for `R2DepthVarianceBufferDescription`.
    `static R2DepthVarianceBufferDescription` | `copyOf(R2DepthVarianceBufferDescriptionType instance)` Creates an immutable copy of a `R2DepthVarianceBufferDescriptionType` value.
    `R2DepthPrecision` | `depthPrecision()`
    `R2DepthVariancePrecision` | `depthVariancePrecision()`
    `boolean` | `equals(Object another)` This instance is equal to all instances of `R2DepthVarianceBufferDescription` that have equal attribute values.
    `int` | `hashCode()` Computes a hash code from attributes: `area`, `magnificationFilter`, `minificationFilter`, `depthPrecision`, `depthVariancePrecision`.
    `com.io7m.jcanephora.core.JCGLTextureFilterMagnification` | `magnificationFilter()`
    `com.io7m.jcanephora.core.JCGLTextureFilterMinification` | `minificationFilter()`
    `static R2DepthVarianceBufferDescription` | `of(com.io7m.jareas.core.AreaInclusiveUnsignedLType area, com.io7m.jcanephora.core.JCGLTextureFilterMagnification magnificationFilter, com.io7m.jcanephora.core.JCGLTextureFilterMinification minificationFilter, R2DepthPrecision depthPrecision, R2DepthVariancePrecision depthVariancePrecision)` Construct a new immutable `R2DepthVarianceBufferDescription` instance.
    `String` | `toString()` Prints the immutable value `R2DepthVarianceBufferDescription` with attribute values.
    `R2DepthVarianceBufferDescription` | `withArea(com.io7m.jareas.core.AreaInclusiveUnsignedLType value)` Copy the current immutable object by setting a value for the `area` attribute.
    `R2DepthVarianceBufferDescription` | `withDepthPrecision(R2DepthPrecision value)` Copy the current immutable object by setting a value for the `depthPrecision` attribute.
    `R2DepthVarianceBufferDescription` | `withDepthVariancePrecision(R2DepthVariancePrecision value)` Copy the current immutable object by setting a value for the `depthVariancePrecision` attribute.
    `R2DepthVarianceBufferDescription` | `withMagnificationFilter(com.io7m.jcanephora.core.JCGLTextureFilterMagnification value)` Copy the current immutable object by setting a value for the `magnificationFilter` attribute.
    `R2DepthVarianceBufferDescription` | `withMinificationFilter(com.io7m.jcanephora.core.JCGLTextureFilterMinification value)` Copy the current immutable object by setting a value for the `minificationFilter` attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### area

          public com.io7m.jareas.core.AreaInclusiveUnsignedLType area()

      Specified by:
        `area` in interface `R2DepthVarianceBufferDescriptionType`
      Specified by:
        `area` in interface `R2RenderTargetDescriptionType`
      Returns:
        The value of the `area` attribute

    - #### magnificationFilter

          public com.io7m.jcanephora.core.JCGLTextureFilterMagnification magnificationFilter()

      Specified by:
        `magnificationFilter` in interface `R2DepthVarianceBufferDescriptionType`
      Returns:
        The magnification filter used for the buffer

    - #### minificationFilter

          public com.io7m.jcanephora.core.JCGLTextureFilterMinification minificationFilter()

      Specified by:
        `minificationFilter` in interface `R2DepthVarianceBufferDescriptionType`
      Returns:
        The minification filter used for the buffer

    - #### depthPrecision

          public R2DepthPrecision depthPrecision()

      Specified by:
        `depthPrecision` in interface `R2DepthVarianceBufferDescriptionType`
      Returns:
        The precision of the depth attachment

    - #### depthVariancePrecision

          public R2DepthVariancePrecision depthVariancePrecision()

      Specified by:
        `depthVariancePrecision` in interface `R2DepthVarianceBufferDescriptionType`
      Returns:
        The precision of the depth-variance attachment

    - #### withArea

          public final R2DepthVarianceBufferDescription withArea(com.io7m.jareas.core.AreaInclusiveUnsignedLType value)

      Copy the current immutable object by setting a value for the `area` attribute. A shallow reference equality check is used to prevent copying of the same value by returning `this`.
      Parameters:
        `value` - A new value for area
      Returns:
        A modified copy of the `this` object

    - #### withMagnificationFilter

          public final R2DepthVarianceBufferDescription withMagnificationFilter(com.io7m.jcanephora.core.JCGLTextureFilterMagnification value)

      Copy the current immutable object by setting a value for the `magnificationFilter` attribute. A shallow reference equality check is used to prevent copying of the same value by returning `this`.
      Parameters:
        `value` - A new value for magnificationFilter
      Returns:
        A modified copy of the `this` object

    - #### withMinificationFilter

          public final R2DepthVarianceBufferDescription withMinificationFilter(com.io7m.jcanephora.core.JCGLTextureFilterMinification value)

      Copy the current immutable object by setting a value for the `minificationFilter` attribute. A shallow reference equality check is used to prevent copying of the same value by returning `this`.
      Parameters:
        `value` - A new value for minificationFilter
      Returns:
        A modified copy of the `this` object

    - #### withDepthPrecision

          public final R2DepthVarianceBufferDescription withDepthPrecision(R2DepthPrecision value)

      Copy the current immutable object by setting a value for the `depthPrecision` attribute. A shallow reference equality check is used to prevent copying of the same value by returning `this`.
      Parameters:
        `value` - A new value for depthPrecision
      Returns:
        A modified copy of the `this` object

    - #### withDepthVariancePrecision

          public final R2DepthVarianceBufferDescription withDepthVariancePrecision(R2DepthVariancePrecision value)

      Copy the current immutable object by setting a value for the `depthVariancePrecision` attribute. A shallow reference equality check is used to prevent copying of the same value by returning `this`.
      Parameters:
        `value` - A new value for depthVariancePrecision
      Returns:
        A modified copy of the `this` object

    - #### equals

          public boolean equals(Object another)

      This instance is equal to all instances of `R2DepthVarianceBufferDescription` that have equal attribute values.
      Overrides:
        `equals` in class `Object`
      Returns:
        `true` if `this` is equal to `another` instance

    - #### hashCode

          public int hashCode()

      Computes a hash code from attributes: `area`, `magnificationFilter`, `minificationFilter`, `depthPrecision`, `depthVariancePrecision`.
      Overrides:
        `hashCode` in class `Object`
      Returns:
        hashCode value

    - #### toString

          public String toString()

      Prints the immutable value `R2DepthVarianceBufferDescription` with attribute values.
      Overrides:
        `toString` in class `Object`
      Returns:
        A string representation of the value

    - #### of

          public static R2DepthVarianceBufferDescription of(com.io7m.jareas.core.AreaInclusiveUnsignedLType area,
                                                            com.io7m.jcanephora.core.JCGLTextureFilterMagnification magnificationFilter,
                                                            com.io7m.jcanephora.core.JCGLTextureFilterMinification minificationFilter,
                                                            R2DepthPrecision depthPrecision,
                                                            R2DepthVariancePrecision depthVariancePrecision)

      Construct a new immutable `R2DepthVarianceBufferDescription` instance.
      Parameters:
        `area` - The value for the `area` attribute
        `magnificationFilter` - The value for the `magnificationFilter` attribute
        `minificationFilter` - The value for the `minificationFilter` attribute
        `depthPrecision` - The value for the `depthPrecision` attribute
        `depthVariancePrecision` - The value for the `depthVariancePrecision` attribute
      Returns:
        An immutable R2DepthVarianceBufferDescription instance

    - #### copyOf

          public static R2DepthVarianceBufferDescription copyOf(R2DepthVarianceBufferDescriptionType instance)

      Creates an immutable copy of a `R2DepthVarianceBufferDescriptionType` value. Uses accessors to get values to initialize the new immutable instance. If an instance is already immutable, it is returned as is.
      Parameters:
        `instance` - The instance to copy
      Returns:
        A copied immutable R2DepthVarianceBufferDescription instance

    - #### builder

          public static R2DepthVarianceBufferDescription.Builder builder()

      Creates a builder for `R2DepthVarianceBufferDescription`.
      Returns:
        A new R2DepthVarianceBufferDescription builder

Copyright © 2016 <code@io7m.com> http://io7m.com